Endpoints
Search v3
Search products and contexts using the v3 endpoint
GET
/
rest
/
search
/
v3
/
curl -X GET "https://api.hibonsai.com/rest/search/v3/?q=humidifier" \
-H "X-API-Key: YOUR_API_KEY_HERE"
Endpoint
GET /rest/search/v3/
GET /rest/search/v3/{shop_id}/
Query Parameters
string
required
Search query string.
string
Filter to one or more shops.
boolean
default:"false"
Return only products when
true.boolean
default:"false"
Skip LLM scoring when
true.curl -X GET "https://api.hibonsai.com/rest/search/v3/?q=humidifier" \
-H "X-API-Key: YOUR_API_KEY_HERE"
Response
Response format is similar to Search v2 and may include additional fields.curl -X GET "https://api.hibonsai.com/rest/search/v3/?q=humidifier" \
-H "X-API-Key: YOUR_API_KEY_HERE"